## falkon 22.08.2

=== debian/changelog ===
falkon (22.08.2-0ubuntu1) kinetic; urgency=medium

  * New upstream bugfix release (22.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Oct 2022 08:14:03 +0100

falkon (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:35:46 +0100

falkon (22.08.0-0ubuntu1) kinetic; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update lintian overrides

  [ Rik Mills ]
  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:46:09 +0100

falkon (22.04.3-0ubuntu1) kinetic; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update debian/upstream/signing-key.asc, copied from k3b
  * Pass '--with kf5' to dh in debian/rules
  * Remove unused cdbs build depend
  * Update lintian overrides
  * Rename debian/NEWS.Debian -> debian/NEWS as suggested by lintian
  * Remove src/lib/data/html/jquery*.js from Files-Excluded from copyright
    file, apparently these files come with source from upstream now
  * Remove add-source-minified-js.patch, it was disabled and apparently
    it's not needed anymore

  [ Rik Mills ]
  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:23:23 +0100

falkon (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:57:01 +0100

falkon (22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:53:48 +0100

falkon (22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Disable patch.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:43:36 +0100
