=== debian/changelog ===
falkon (22.12.1-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * Architecture: any

  [ Georges Khaznadar ]
  * modified falkon.postinst to manage /usr/share/qt5/qtwebengine_dictionaries
    more smoothly. Closes: #1029621, and Closes: #1030183

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 25 Jan 2023 13:48:20 +0100

falkon (22.12.1-1) unstable; urgency=medium

  * fix #1027805
  * ignore debian/files
  * New upstream version 22.12.1

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 12 Jan 2023 18:05:30 +0100

falkon (22.12.0-3) unstable; urgency=medium

  * modified the postinst script: if updating the dictionaries fails,
    a message is issued, but the configuration is not stalled.
    Closes: #1027805

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 12 Jan 2023 18:02:35 +0100

falkon (22.12.0-2) unstable; urgency=medium

  * modified the dependencies, adding qtwebengine5-dev-tools
  * modified the postinst script, so that the configure action will update
    dictionaries (from Hunspell type to .bdic type). Closes: #988324

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 23 Dec 2022 11:50:39 +0100

falkon (22.12.0-1) unstable; urgency=medium

  * changed debian/watch, to track https://github.com/KDE/falkon
  * New upstream version 22.12.0
  * updated debian/copyright
  * bumped Standards-Version: 4.6.1, and debhelper-compat (=13)

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 23 Dec 2022 09:04:33 +0100

falkon (3.2.0+dfsg1-2) unstable; urgency=medium

  * added a Recommends: clause for libsvtav1enc0; Closes: #1012065
  * acknowledging that the upstream version 3.2 is packaged; Closes: #1005344

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 31 May 2022 18:47:28 +0200
