## falkon 22.12.3

=== debian/changelog ===
falkon (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:34:09 +0000

falkon (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:10:29 -0600

falkon (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)
  * Remove redundant Suggests: qtwebengine5-dev-tools

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:11:21 +0000

falkon (22.12.0-3ubuntu1) lunar; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Use correct official signed release tarball from download.kde.org.
      The tarballs generated by github from tags on the KDE github mirror
      are not official or signed, and are not generated by the KDE release
      scripts. Their contents are often not complete, and should not be
      used to upload to distributions.
    - Point watch file to correct location on download.kde.org.
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Build depend on dh-sequence-kf5
    - Remove unused cdbs build depend
    - Update lintian overrides
    - Rename debian/NEWS.Debian -> debian/NEWS as suggested by lintian
    - Remove src/lib/data/html/jquery*.js from Files-Excluded from copyright
      file, apparently these files come with source from upstream now
    - Remove add-source-minified-js.patch, apparently it's not needed anymore

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 08:15:50 +0000

falkon (22.12.0-2ubuntu1) lunar; urgency=medium

  * Use correct official signed release tarball from download.kde.org.
    The tarballs generated by github from tags on the KDE github mirror
    are not official or signed, and are not generated by the KDE release
    scripts. Their contents are often not complete, and should not be
    used to upload to distributions.
  * Point watch file to correct location on download.kde.org.
  * Kubuntu Vcs and maintainer fields.
  * Update upstream signing key.
  * Build depend on dh-sequence-kf5
  * Remove unused cdbs build depend
  * Update lintian overrides
  * Rename debian/NEWS.Debian -> debian/NEWS as suggested by lintian
  * Remove src/lib/data/html/jquery*.js from Files-Excluded from copyright
    file, apparently these files come with source from upstream now
  * Remove add-source-minified-js.patch, apparently it's not needed anymore

 -- Rik Mills <rikmills@kde.org>  Fri, 30 Dec 2022 11:18:08 +0000

falkon (22.12.0-2fakesync1) lunar; urgency=medium

  * Fake sync due to mismatching orig tarball.

 -- Rik Mills <rikmills@kde.org>  Fri, 30 Dec 2022 10:22:41 +0000
