## falkon 23.03.80

=== debian/changelog ===
falkon (23.03.80-0.1~mx21+1) mx; urgency=medium

  * Import new 23.03.80 release.
  * Update d/copyright, and update BDs in d/control to minvers in 
    CMakeLists.txt.
  * Depend on libsvtav1enc1, not unavailable libsvtav1enc0.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 01 Apr 2023 11:49:19 -0700
