## falkon 23.04.3

=== debian/changelog ===
falkon (23.04.3-0.1~mx23+1) mx; urgency=medium

  * Import new 23.04.3 release.
  * Remove unnecessary cdbs, qt5-qmake, and qtchooser from build-depends.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 06 Jul 2023 15:20:52 -0700

falkon (23.04.2-1) unstable; urgency=medium

  * New upstream version 23.04.2

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 11 Jun 2023 11:52:16 +0200

falkon (23.04.1-1) experimental; urgency=medium

  * removed redundant globbing patterns from d/copyright
  * New upstream version 23.04.1

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 17 May 2023 11:54:43 +0200

falkon (23.04.0-1) experimental; urgency=medium

  * New upstream version 23.04.0
  * modified d/control about VCS stuff
  * added d/salsa-ci.yml (and modified the settings in Salsa)

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 21 Apr 2023 18:10:29 +0200
