## falkon 23.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 cmake_minimum_required(VERSION 3.18)
 
 # KDE Gear Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "22")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MAJOR "23")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Project name and version
@@ -124,20 +124,25 @@
 find_package(KF5CoreAddons ${KF5_MIN_VERSION} CONFIG)
 set_package_properties(KF5CoreAddons PROPERTIES DESCRIPTION "KDE Frameworks Integration plugin" TYPE OPTIONAL)
 find_package(KF5Purpose ${KF5_MIN_VERSION} CONFIG)
+find_package(KF5JobWidgets ${KF5_MIN_VERSION} CONFIG)
+set_package_properties(KF5JobWidgets PROPERTIES DESCRIPTION "KDE Frameworks Integration plugin" TYPE OPTIONAL)
 set_package_properties(KF5Purpose PROPERTIES DESCRIPTION "KDE Frameworks Integration plugin" TYPE OPTIONAL)
-if (KF5Wallet_FOUND AND KF5KIO_FOUND AND KF5Crash_FOUND AND KF5CoreAddons_FOUND AND KF5Purpose_FOUND)
+if (KF5Wallet_FOUND AND KF5KIO_FOUND AND KF5Crash_FOUND AND KF5CoreAddons_FOUND AND KF5Purpose_FOUND AND KF5JobWidgets_FOUND)
     set(ENABLE_KDE_FRAMEWORKS_INTEGRATION_PLUGIN TRUE)
 endif()
 
 # Optional: PySide2
-find_package(PySide2 "2.0.0")
-find_package(Shiboken2 "2.0.0")
-find_package(Python3 COMPONENTS Development)
-set_package_properties(PySide2 PROPERTIES DESCRIPTION "Python plugins" TYPE OPTIONAL)
-set_package_properties(Shiboken2 PROPERTIES DESCRIPTION "Python plugins" TYPE OPTIONAL)
-set_package_properties(Python3 PROPERTIES DESCRIPTION "Python plugins" TYPE OPTIONAL)
-if (PySide2_FOUND AND Shiboken2_FOUND AND Python3_FOUND)
-    set(ENABLE_PYTHON_PLUGINS TRUE)
+option(BUILD_PYTHON_SUPPORT "Support for Python plugins" ON)
+if (BUILD_PYTHON_SUPPORT)
+    find_package(PySide2 "2.0.0")
+    find_package(Shiboken2 "2.0.0")
+    find_package(Python3 COMPONENTS Development)
+    set_package_properties(PySide2 PROPERTIES DESCRIPTION "Python plugins" TYPE OPTIONAL)
+    set_package_properties(Shiboken2 PROPERTIES DESCRIPTION "Python plugins" TYPE OPTIONAL)
+    set_package_properties(Python3 PROPERTIES DESCRIPTION "Python plugins" TYPE OPTIONAL)
+    if (PySide2_FOUND AND Shiboken2_FOUND AND Python3_FOUND)
+        set(ENABLE_PYTHON_PLUGINS TRUE)
+    endif()
 endif()
 
 find_package(Intl)
