=== debian/changelog ===
falkon (23.08.0-0.1~mx23+1) mx; urgency=medium

  * Import new upstream version 23.08.0

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 26 Aug 2023 15:42:42 -0700

falkon (23.07.90-1) unstable; urgency=medium

  * New upstream version 23.07.90

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 15 Aug 2023 12:47:23 +0200

falkon (23.07.80-1) unstable; urgency=medium

  * New upstream version 23.07.80

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 07 Aug 2023 10:28:17 +0200

falkon (23.04.3-1) unstable; urgency=medium

  * New upstream version 23.04.3

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 14 Jul 2023 19:18:54 +0200
