=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,6 @@
 #export DH_VERBOSE=1
 
 export DEB_BUILD_HARDENING=1
-export QT_SELECT = 5
 
 %:
 	dh $@
