=== debian/changelog ===
falkon (23.08.1-0.1~mx21+1) mx; urgency=medium

  * New upstream version 23.08.1

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 23 Sep 2023 11:03:56 -0700

falkon (23.08.0-1) unstable; urgency=medium

  * New upstream version 23.08.0

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 27 Aug 2023 20:31:30 +0200
